package com.ruoyi.ss.risk.service.impl;

import com.ruoyi.ss.risk.domain.RiskVO;
import com.ruoyi.ss.risk.service.RiskValidator;
import org.springframework.stereotype.Service;

import java.util.Objects;

import static com.ruoyi.common.utils.SecurityUtils.getUserId;

/**
 * @author wjh
 * 2024/11/23
 */
@Service
public class RiskValidatorImpl implements RiskValidator {
    @Override
    public boolean isUser(RiskVO risk, Long userId) {
        return risk != null && userId != null && Objects.equals(risk.getUserId(), getUserId());
    }
}
